/* $Id$ */

/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SOUND_AESND_H
#define SOUND_AESND_H

#include "sound_driver.hpp"

class SoundDriver_AESND: public SoundDriver {
public:
	/* virtual */ const char *Start(const char * const *param);

	/* virtual */ void Stop();
	/* virtual */ const char *GetName() const { return "aesnd"; }
};

class FSoundDriver_AESND: public SoundDriverFactory<FSoundDriver_AESND> {
public:
	static const int priority = 10;
	/* virtual */ const char *GetName() { return "aesnd"; }
	/* virtual */ const char *GetDescription() { return "AESND Driver"; }
	/* virtual */ Driver *CreateInstance() { return new SoundDriver_AESND(); }
};

#endif /* SOUND_AESND_H */
